/// represent the body of the request. It can be a [String], a [List<int>] or
/// a [Map<String, String>]. If it's a String, it's encoded using [encodeName] and
/// used as the body of the request. The content-type of the request will
/// default to "text/plain".
///
/// If body is a List, it's used as a list of bytes for the body of the
/// request.
///
/// If body is a Map, it's encoded as form fields using [encodeName]. The
/// content-type of the request will be set to
/// `"application/x-www-form-urlencoded"`; this cannot be overridden.
class Body {
  final String encodeName;

  const Body({this.encodeName = 'utf-8'});
}
