/// extension for [Map]
extension MapExt<K, V> on Map<K, V> {
  /// Returns a list containing the results of applying the given [transform] function
  /// to each entry in the original map.
  List<R> mapToList<R>(R Function(K k, V v) transform) {
    final destination = <R>[];
    for (var entry in entries) {
      destination.add(transform(entry.key, entry.value));
    }
    return destination;
  }

  bool isNullOrEmpty() => this == null || isEmpty;
}
